From 21e3135bcc70b98cae757158a8b8da314f4975fe Mon Sep 17 00:00:00 2001
From: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date: Thu, 3 Nov 2011 05:17:30 +0900
Subject: [PATCH] Scan fonts from not only /System/Library/Fonts but another
 system-wide directories for Mac OS X.(#5491)

---
 modules/text_renderer/freetype.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

diff --git a/modules/text_renderer/freetype.c b/modules/text_renderer/freetype.c
index 7963f5c..5b25985 100644
--- a/modules/text_renderer/freetype.c
+++ b/modules/text_renderer/freetype.c
@@ -434,7 +434,7 @@ static void FontConfig_BuildCache( filter_t *p_filter )
     mtime_t t1, t2;
     t1 = mdate();
 
-#ifdef WIN32
+#if defined( WIN32 ) || defined( __APPLE__ )
     dialog_progress_bar_t *p_dialog = NULL;
     FcConfig *fcConfig = FcInitLoadConfig();
 
@@ -447,6 +447,15 @@ static void FontConfig_BuildCache( filter_t *p_filter )
         dialog_ProgressSet( p_dialog, NULL, 0.5 ); */
 
     FcConfigBuildFonts( fcConfig );
+#if defined( __APPLE__ )
+    // By default, scan only the directory /System/Library/Fonts.
+    // So build the set of available fonts under another directories,
+    // and add the set to the current configuration.
+    FcConfigAppFontAddDir( NULL, "~/Library/Fonts" );
+    FcConfigAppFontAddDir( NULL, "/Library/Fonts" );
+    FcConfigAppFontAddDir( NULL, "/Network/Library/Fonts" );
+    //FcConfigAppFontAddDir( NULL, "/System/Library/Fonts" );
+#endif
     if( p_dialog )
     {
 //        dialog_ProgressSet( p_dialog, NULL, 1.0 );
-- 
1.7.7

